searchData={"items":[{"type":"module","title":"TradegateEx","doc":"An Elixir API to get stock prices from the german tradegate exchange via WKN/ISIN.","ref":"TradegateEx.html"},{"type":"function","title":"TradegateEx.get_quote/1","doc":"Returns the asked quotes for the wkn/isin.\n\nReturns `{:ok, %{}}`","ref":"TradegateEx.html#get_quote/1"},{"type":"function","title":"Example - TradegateEx.get_quote/1","doc":"iex> TradegateEx.get_quote(\"US0378331005\")\n    {:ok,\n    %{\n    \"ask\" => 111.88,\n    \"asksize\" => 500,\n    \"avg\" => 111.6493,\n    \"bid\" => 111.72,\n    \"bidsize\" => 500,\n    \"delta\" => \"+0,50%\",\n    \"high\" => 111.94,\n    \"last\" => 111.88,\n    \"low\" => 111.02,\n    \"stueck\" => 8182,\n    \"umsatz\" => 913515\n    }}\n\nStrings that do not match as a valid WKN or ISIN length (6 or 12) will return an error.\n\n    iex> TradegateEx.get_quote(\"a\")\n    {:error, \"Invalid WKN/ISIN\"}","ref":"TradegateEx.html#get_quote/1-example"},{"type":"extras","title":"TradegateEx","doc":"# TradegateEx\n\nElixir API to get stock quotes from the [tradegate](https://tradegate.de) exchange.","ref":"readme.html"},{"type":"extras","title":"Usage - TradegateEx","doc":"```elixir\niex> TradegateEx.get_quote(\"US0378331005\")\n```","ref":"readme.html#usage"},{"type":"extras","title":"Installation - TradegateEx","doc":"The package can be installed by adding `tradegate_ex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:tradegate_ex, \"~> 0.3.0\"}\n  ]\nend\n```","ref":"readme.html#installation"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}